Subject: [Lsr] Overview of two new drafts about IFIT node capability advertisement in ISIS and OSPF

From: wangyali <[email-masked]>
Date: Sun, 1 Mar 2020 12:59:47 +0000

Hello all,

I’m Yali. I respectively submitted two drafts (draft-liu-lsr-isis-ifit-node-capability-00 and draft-wang-lsr-ospf-ifit-node-capability-00) about extensions to ISIS and OSPF for advertising IFIT node capability. Following is an overview.

Overview:
IFIT provides a complete framework architecture and a reflection-loop working solution for on-path flow telemetry  [I-D.song-opsawg-ifit-framework]. The family of emerging on-path flow telemetry techniques MAY be selectively or partially implemented in different  vendors' devices as an emerging feature for various use cases of application-aware network operations.  Hence, in order to enable IFIT applications in a network domain, IFIT node capabilities SHOULD be advertised by every router in the network domain. The "network domain" consists  of a set of network devices or entities within a single administration.  For example, a network domain can be one or more IGP routing domains.

To accommodate the different use cases or requirements of in-situ flow information telemetry, IFIT data fields updated by network nodes fall into different categories which are referred as different IFIT option types, including IOAM Trace Option-Types [I-D.ietf-ippm-ioam-data], IOAM Edge-to-Edge (E2E) Option-Type [I-D.ietf-ippm-ioam-data], IOAM  DEX Option-Type [I-D.ioamteam-ippm-ioam-direct-export] and Enhanced Alternate Marking (EAM) Option-Type [I-D.zhou-ippm-enhanced-alternate-marking].  So IFIT Option Types SHOULD be carried in IFIT node capability advertisement.

Therefore, [draft-liu-lsr-isis-ifit-node-capability-00] extends a new optional sub-TLV in the IS-IS Router CAPABILITY TLV [RFC7981], named IFIT Node Capability sub-TLV, which allows a router to announce its IFIT node capabilities. And [draft-wang-lsr-ospf-ifit-node-capability-00] defines a new IFIT Node Capability TLV within the body of the OSPF RI Opaque LSA [RFC7770] to carry the IFIT node capabilities of the router.

Please let me know if you have any comments.

Best regards,
Yali Wang